#! /bin/sh
#

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="glasnost"
NAME="glasnost"

#set -e

case "$1" in
  start)
  	glasnost-ctl start
	;;
  stop)
  	glasnost-ctl stop
	;;
  restart|force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
	echo -n "Restarting $DESC (this takes time): "
	glasnost-ctl stop > /dev/null
	sleep 10
	glasnost-ctl start > /dev/null
	echo " done."
	;;
  reload)
  	echo "not implemented"
	;;
  *)
	N=/etc/init.d/$NAME
	echo "Usage: $N {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0

